/*
 * $Log: ql.h,v $
 * Revision 1.1  1995/09/16 17:22:18  root
 * Initial login under Linux
 *
 * Revision 1.1  1994/05/30  21:44:14  jrh
 * Initial checkin at v1.33
 *
 * $Id: ql.h,v 1.1 1995/09/16 17:22:18 root Exp $
 */

#ifndef QLLIB_H
#define QLLIB_H

#include <qdos.h>

#ifdef MAIN_MODULE
#define GLOBAL
#else
#define GLOBAL extern
#endif

#define LOCAL static

#define FALSE 0

#ifndef TRUE
#define TRUE 1
#endif

#define  NUL	  0
#define  SOH	  1
#define  STX	  2
#define  ETX	  3
#define  EOT	  4
#define  ENQ	  5
#define  ACK	  6
#define  BEL	  7
#define  BS	  8
#define  HT	  9
#define  LF	  10
#define  VT	  11
#define  FF	  12
#define  CR	  13
#define  SO	  14
#define  SI	  15
#define  DLE	  16
#define  DC1	  17
#define  DC2	  18
#define  DC3	  19
#define  DC4	  20
#define  NAK	  21
#define  SYN	  22
#define  ETB	  23
#define  CAN	  24
#define  EM	  25
#define  SS	  26
#define  ESC	  27
#define  FS	  28
#define  GS	  29
#define  RS	  30
#define  USC	  31

#define  TAB	  9
#define  NL	  10
#define  DEL	  127
#define  XON	  17
#define  XOFF	  19

#define  LEFT	  192
#define  RIGHT	  200
#define  DELETE   194
#define  PULL	  202
#define  UP	  208
#define  DOWN	  216
#define  ADOWN	  217
#define  F1	  232
#define  F2	  236
#define  F3	  240
#define  F4	  244
#define  F5	  248

#define  CF1	  233
#define  CF2	  237
#define  CF3	  241
#define  CF4	  245

#define  CSF4	  247

#define  BLACK	  0
#define  BLUE	  1
#define  RED	  2
#define  MAGENTA  3
#define  GREEN	  4
#define  CYAN	  5
#define  WHITE	  6
#define  YELLOW   7

#define IO_OLD	  1
#define IO_NEW_EX 2
#define IO_NEW	  3


#define  CSR_LEFT	0x13
#define  CSR_RIGHT	0x14
#define  CSR_UP 	0x15
#define  CSR_DOWN	0x16

/* Quit from menus */
#define QUIT   (-1)

typedef unsigned char UCHAR, *PUCHAR;
typedef unsigned short USHORT, *PUSHORT;
typedef unsigned int UINT, *PUINT;

#endif
