/*
 * $Log: xprthing.c,v $
 * Revision 1.3  1996/07/09 12:25:57  jrh
 * post fsel (1.60)
 *
 * Revision 1.2  1995/11/12  15:29:37  root
 * Baud rates for QXL etc
 *
 * Revision 1.1  1995/09/16  17:22:18  root
 * Initial login under Linux
 *
 * Revision 1.4  1995/05/31  17:03:57  jrh
 * No CR option and new XPR (nothing)
 *
 * Revision 1.3  1995/04/08  20:53:27  jrh
 * Add Thing functionality
 *
 * Revision 1.2  1995/02/07  16:52:32  jrh
 * Remove thing emulation
 *
 * Revision 1.1  1994/05/30  21:44:27  jrh
 * Initial checkin at v1.33
 *
 */

static char rcsid[] ="$Id: xprthing.c,v 1.3 1996/07/09 12:25:57 jrh Exp $";

#include <stdio.h>
#include <stdlib.h>
#include <stddef.h>
#include <string.h>
#include <qdos.h>
#include <qptr.h>

#include <pd/xproto.h>

#include "defs.h"
#include "xprmsg.h"

XPRTHG *pXB = NULL;

XPRTHG *GetXPRData(void)
{
    static ALIGN qxpr = {"QXPR"};
    if(pXB = xmalloc(sizeof(XPRTHG)))
    {
        pXB->QXPR = qxpr.x;
        pXB->psaddr = pS;
	pXB->chid = 0;
	pXB->job = QTpid;
	pXB->logid = 0;
	pXB->check = 0;
        pXB->libdir = LibDir;
        pXB->xprname = MyProtocol;            
        pXB->area = NULL;
    }
    return pXB;
}
